package com.malk.controller;

import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;

import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Slf4j
@RestController
@RequestMapping("/test")
public class TestController {

    @GetMapping("test")
    public String test() {
        return  "success";
    }

    @RequestMapping("show")
    public ModelAndView showEmp() {
        List<Map> list = new ArrayList<>();
        Map data = new HashMap();
        data.put("id", "001");
        data.put("tName", "测试");
        data.put("tDesc", "jsp-test");
        list.add(data);
        ModelAndView mav = new ModelAndView("/test");
        mav.addObject("list", list);
        return mav;
    }

    @RequestMapping("/index")
    public ModelAndView index(HttpServletRequest request) {
        //将用户信息保存到Request对象中
        request.setAttribute("name", "pan_junbiao的博客");
        request.setAttribute("blog", "https://blog.csdn.net/pan_junbiao");
        request.setAttribute("remark", "您好，欢迎访问 pan_junbiao的博客");

        ModelAndView mav = new ModelAndView("/index");

        //返回首页
        return mav;
    }

    @RequestMapping("echart")
    ModelAndView echart() {
        ModelAndView mav = new ModelAndView("/echart");
        return mav;
    }

}
